=== debian/changelog ===
jpeg2ps (1.9-1) unstable; urgency=low

  * Initial Release.
  * Removing getopt.c as it has a own license and is not needed.

 -- Klaus Ethgen <Klaus@Ethgen.de>  Fri, 11 Mar 2005 14:44:49 +0100
