=== debian/control ===
Source: jpeg2ps
Section: graphics
Priority: optional
Maintainer: Klaus Ethgen <Klaus@Ethgen.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: jpeg2ps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to include a jpeg into eps
 This tool use the ps-2 or ps-3 methode to put a jpeg graphic into a eps
